
image:
  registry: ghcr.io
  repository: kafbat/kafka-ui
  pullPolicy: IfNotPresent
yamlApplicationConfig:
  kafka:
    clusters:
    - name: kafka-cluster
      bootstrapServers: SASL_PLAINTEXT://kafka.kafka.svc.cluster.local:9092
      properties:
        security.protocol: SASL_PLAINTEXT
        sasl.mechanism: SCRAM-SHA-512        
        sasl.jaas.config: org.apache.kafka.common.security.scram.ScramLoginModule required username="user1" password="itkJJu5hLe";
  auth:
    type: disable
  # spring:
  #   security:
  #     oauth2:
  management:
    health:
      ldap:
        enabled: false

ingress:
  enabled: true
  annotations:
    cert-manager.io/issuer: "root-ca-issuer"
    kubernetes.io/ingress.class: kong
    konghq.com/protocols: https
    konghq.com/https-redirect-status-code: "301"
  host: "kafka-ui.exmaple.org"
  tls:
    enabled: true
    secretName: "kafka-ui-tls"